* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    list-style: none;
}

body {
    font-family: "Inter", sans-serif;
    background-color: #f2f2f24d;
}

button {
    background-color: none;
    border: none;
}

.container {
    max-width: 1240px;
    width: 100%;
    padding: 0 20px;
    margin: 0 auto;
}

.banner {
    width: 100%;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

.content {
    max-width: 896px;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.banner__title {
    font-size: 96px;
    font-weight: 800;
    line-height: 1;
}

.banner__desc {
    max-width: 672px;
    width: 100%;
    font-size: 24px;
    line-height: 32px;
    color: darkgray;
}

.btn__group {
    display: flex;
    gap: 16px;
    align-items: center;
    justify-content: start;
}

.btn {
    padding: 12px 24px;
    border-radius: 4px;
    font-size: 14px;
    line-height: 16px;
    transition: .3s;
    border: 0.5px solid lightgray;
    cursor: pointer;
}

.btn:hover {
    background-color: lightgray;
}

.dark {
    background-color: #030303;
    color: #fff;
}

.dark:hover {
    background-color: rgba(5, 5, 5, 0.843)
}

.skills {
    margin: 70px 0;
}

.title {
    font-size: 48px;
    line-height: 1;
    margin-bottom: 48px;
}

.skillsbox {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 16px;
}

.box__item {
    display: flex;
    align-items: center;
    justify-content: center;
    text-transform: capitalize;
    padding: 24px;
    border: 0.5px solid rgba(211, 211, 211, 0.78);
    border-radius: 4px;
    background-color: #fff;
    font-size: 16px;
    font-weight: 600;
}

/* Projects section */


.projects {
    padding: 96px 0;
    background-color: #f2f2f24d;
}

.projects__content {
    margin-top: 48px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 24px;
}

.project {
    padding: 32px;
    background-color: #fff;
    max-width: 626px;
    width: 100%;
    border: 0.5px solid rgba(211, 211, 211, 0.78);
    border-radius: 4px;
}

.project>a img {
    max-width: 498px;
    width: 100%;
    height: 187px;
    object-fit: cover;
    display: block;
}

.project__title {
    font-size: 24px;
    margin: 20px 0;
}

.project__info {
    font-size: 16px;
    color: darkgray;
    margin-bottom: 16px;
}

.tech__info {
    display: flex;
    align-items: center;
    gap: 8px;
}

.tech__name {
    padding: 4px 12px ;
    background-color: rgb(241, 240, 240);
    border-radius: 9999px;
    text-transform: capitalize;
}
